Name:           jlatexmath
Version:        1.0.3
Release:        %mkrel 9
Summary:        Java API to display mathematical formulas written in LaTeX

Group:          Development/Java
License:        GPLv2+
URL:            http://forge.scilab.org/index.php/p/jlatexmath/
Source0:        http://forge.scilab.org/index.php/p/jlatexmath/downloads/get/%{name}-src-all-%{version}.zip
Patch0:		java-source-version.patch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       java
Requires:       jpackage-utils

BuildArch:      noarch

%description
The goal of this Java API is to display mathematical formulas written in LaTeX.
The default encoding is UTF-8 and most of LaTeX commands are available.

JLaTeXMath is a fork of the excellent project JMathTeX.

%package fop
Summary:        FOP plug-in for %{name}
Group:          Development/Java

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  fop

Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}
Requires:       fop


%description fop
This package contains the FOP plug-in for %{name}.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Fix class-path-in-manifest error
sed -i '/class-path/I d' plugin/fop/MANIFEST.MF

%build
ant buildJar
ant fop
ant doc

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p dist/%{name}-fop-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-fop.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc LICENSE

%files fop
%{_javadir}/%{name}-fop.jar
%doc plugin/fop/COPYING
%doc plugin/fop/LICENSE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Dec 25 2020 joequant <joequant> 1.0.3-9.mga8
+ Revision: 1663660
- fix source build
+ neoclust <neoclust>
- Try to revive jlatexmath
- Unmaintained by java team
+ luigiwalser <luigiwalser>
- set java source and target version to 1.8 to fix build

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-8.mga8
+ Revision: 1491363
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1263324
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.0.3-5.mga6
+ Revision: 980794
- First rebuild of the java stack
- sync package jlatexmath with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.0.3-4.mga5
+ Revision: 794888
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 742853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 680818
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 grenoya <grenoya> 1.0.3-1.mga5
+ Revision: 672025
- new version 1.0.3

* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 545336
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 1.0.2-1.mga4
+ Revision: 495965
- new version 1.0.2

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 355466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 grenoya <grenoya> 1.0.0-1.mga3
+ Revision: 344407
- new version 1.0.0

* Thu Jun 16 2011 grenoya <grenoya> 0.9.6-1.mga2
+ Revision: 108340
- update sources to 0.9.6

* Thu Mar 31 2011 grenoya <grenoya> 0.9.3-1.mga1
+ Revision: 79350
- add build conflict
- imported package jlatexmath

